summaryrefslogtreecommitdiff
path: root/app-crypt/pinentry-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-03-12 02:03:41 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-03-12 02:03:41 +0200
commit8af47688c1307301f5073e34f3cdbb9f37d4173e (patch)
treec00e022714a936ad05cf4c26f1fe2c6caaf7fe83 /app-crypt/pinentry-base
parent152f73df24df52aa43cad82d64dfe650e76cbe9f (diff)
Adding pinentry-base 0.8.3
Diffstat (limited to 'app-crypt/pinentry-base')
-rw-r--r--app-crypt/pinentry-base/Manifest1
-rw-r--r--app-crypt/pinentry-base/pinentry-base-0.8.3.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/app-crypt/pinentry-base/Manifest b/app-crypt/pinentry-base/Manifest
index f6e8451a..d3228d66 100644
--- a/app-crypt/pinentry-base/Manifest
+++ b/app-crypt/pinentry-base/Manifest
@@ -1 +1,2 @@
+DIST pinentry-0.8.3.tar.bz2 430753 SHA256 568b0b09b50b2388a4f94d704d5bcb28718ecd4654ed1acc43ab1f97d921a0ad SHA512 942aad8db63d5e2f7b576ef6286edf6ce5fdb7c2a0a82deb864fa22963b183dd12a235f12277a6dade9d914b5e76302f1ab35ae78b0f595e84fff77d8f417a18 WHIRLPOOL 0d0e905b79eb6d7727f1de57be058b3c3885b577124cb1fdebca4e0b81d085070f1953b307b506a602de4055bdca6886e7f56e17b5d6978e161eaedf170785e2
DIST pinentry-0.9.0.tar.bz2 464272 SHA256 90045a07ab8e1a8e1ecf5d19b51691f195525e579fa5d71d7e92c120b05490ab SHA512 2cc53a5c3852edaf6e940228d9b43fe4709344eba5fe230b7afd22b2c0239d0b258917d75661d80590b2d61c6fe9dac8ad15a0b4a0a0e7fba90a9e1c07364edd WHIRLPOOL 3f77a8aa2d44c7206d877e31088ec927473441e61f06e788330545d75ac489e6e9d5bf0026b23d0824304dad54ce8e61c4571d186df7ad0edc2d644ca3af04ac
diff --git a/app-crypt/pinentry-base/pinentry-base-0.8.3.ebuild b/app-crypt/pinentry-base/pinentry-base-0.8.3.ebuild
new file mode 100644
index 00000000..e22651be
--- /dev/null
+++ b/app-crypt/pinentry-base/pinentry-base-0.8.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit autotools multilib eutils flag-o-matic
+
+MY_PN=${PN/-base}
+MY_P=${P/-base}
+DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${MY_PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~arm ~amd64 ~x86"
+IUSE="gtk qt4 caps static"
+
+RDEPEND="
+ app-admin/eselect-pinentry
+ caps? ( sys-libs/libcap )
+ sys-libs/ncurses
+ static? ( >=sys-libs/ncurses-5.7-r5[static-libs,-gpm] )
+ ppc-aix? ( dev-libs/gnulib )
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-ncurses.patch"
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-texi.patch"
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ if [[ ${CHOST} == *-aix* ]] ; then
+ append-flags -I"${EPREFIX}/usr/$(get_libdir)/gnulib/include"
+ append-ldflags -L"${EPREFIX}/usr/$(get_libdir)/gnulib/$(get_libdir)"
+ append-libs -lgnu
+ fi
+
+ econf \
+ --enable-pinentry-tty \
+ --disable-pinentry-gtk2 \
+ --enable-pinentry-curses \
+ --enable-fallback-curses \
+ --disable-pinentry-qt4 \
+ $(use_with caps libcap)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/bin/pinentry || die
+}
+
+pkg_postinst() {
+ if ! has_version 'app-crypt/pinentry-base'; then
+ # || has_version '<app-crypt/pinentry-0.7.3'; then
+ elog "We no longer install pinentry-curses and pinentry-qt SUID root by default."
+ elog "Linux kernels >=2.6.9 support memory locking for unprivileged processes."
+ elog "The soft resource limit for memory locking specifies the limit an"
+ elog "unprivileged process may lock into memory. You can also use POSIX"
+ elog "capabilities to allow pinentry to lock memory. To do so activate the caps"
+ elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set of"
+ elog "your users."
+ fi
+ eselect pinentry update ifunset
+ use gtk && elog "If you want pinentry for Gtk+, please install app-crypt/pinentry-gtk."
+ use qt4 && elog "If you want pinentry for Qt4, please install app-crypt/pinentry-qt4."
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}